package com.netease.alive_flutter_plugin


import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.widget.FrameLayout
import com.netease.nis.alivedetected.AliveDetector
import com.netease.nis.alivedetected.NISCameraPreview
import io.flutter.plugin.common.MethodCall
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.platform.PlatformView

/**
 * Created by hzhuqi on 2020/11/30
 */
class AliveView : PlatformView, MethodChannel.MethodCallHandler {
    private var aliveDetector = AliveDetector.getInstance()
    private lateinit var cameraPreview: FrameLayout

    constructor(context: Context, id: Int, creationParams: Map<String?, Any?>?) {
        cameraPreview = LayoutInflater.from(context)
            .inflate(getLayoutId(context, "preview_layout"), null) as FrameLayout
    }

    fun getCameraView(): NISCameraPreview {
        return cameraPreview.findViewById(R.id.surface_view)
    }

    override fun getView(): View {
        return cameraPreview
    }

    override fun dispose() {

    }

    override fun onMethodCall(call: MethodCall, result: MethodChannel.Result) {
    }

    private fun getLayoutId(context: Context, layoutName: String): Int {
        return context.resources.getIdentifier(layoutName, "layout", context.packageName)
    }
}